/*
 * BoundsCheck.h
 *
 *  Created on: Apr 28, 2016
 *      Author: hambre
 */

#ifndef BOUNDSCHECK_H_
#define BOUNDSCHECK_H_

#include <vector>
#include "Bounds.h"
using namespace std;

class BoundsCheck {

public:
	static bool feasible(vector<double> value, Bounds& bounds) {
		int i;
		int n = min(value.size(), bounds.lower.size());
		for (i = 0; i < n; i++) {
			if (value[i] < bounds.lower[i] || bounds.upper[i] < value[i]) {
				return false;
			}
		}
		return true;
	}
};

#endif /* BOUNDSCHECK_H_ */
