/*
 * LinearGrids.h
 *
 *  Created on: Apr 27, 2015
 *      Author: Andre Dozier
 */

#ifndef LINEARGRIDS_H_
#define LINEARGRIDS_H_

#include <vector>
#include <stdexcept>
#include <cmath>
#include "LinearGrid.h"
using namespace std;

class LinearGrids {

private:
	vector<LinearGrid> _grids;

public:

	void addSpace(LinearGrid newGrid);

	LinearGrid& operator[](int);

	int size();

	void check(int);

	long long averageCardinality();
};

#endif /* LinearGrids_H_ */
