/*
 * LinearSpace.h
 *
 *  Created on: Jan 30, 2015
 *      Author: Andre Dozier
 */

#ifndef LINEARSPACE_H_
#define LINEARSPACE_H_

#include<vector>
#include<stdexcept>
using namespace std;

class LinearSpace {
public:
	double min;
	double max;
	long long n;
	vector<double> values;
	double step;

	LinearSpace(double, double, long long);

	double& operator[](int);
};

#endif /* LINEARSPACE_H_ */
