/*
 * DyproUtils.h
 *
 *  Created on: Feb 3, 2015
 *      Author: Andre Dozier
 */

#ifndef DYPROUTILS_H_
#define DYPROUTILS_H_

#include <string>
#include <sstream>
#include <vector>
#include <cstdio>
#include <cerrno>
using namespace std;

template<class T> T toNum(const string &Text);

int toInt(const string &Text);

unsigned int toUInt(const string &Text);

long long toLng(const string &Text);

double toDbl(const string &Text);

bool toBool(const string &Text);

vector<int> toInts(const string &Text);

vector<long long> toLngs(const string &Text);

vector<double> toDbls(const string &Text);

string get_file_contents(const char *filename);

bool file_exists(const string &name);

//class NumberConverter {
//
//public:
//
//	T toNum(const string &Text);
//	vector<T> toNums(const string &Text);
//
//};

#endif /* DYPROUTILS_H_ */
